# GovernanceService

Note: This service is experimental (alpha) and subject to change.

The Governance Service includes three endpoints to retrieve information about AGL accounts, governance proposals, and proposal vote receipts. You can use the APIs below to pull data about the Agile governance system:

```
  // Retreives a list of governance proposals
  fetch("https://api.agile.finance/api/governance/proposals");

  // Retreives a list of governance proposal vote receipts
  fetch("https://api.agile.finance/api/governance/proposal_vote_receipts");

  // Retreives a list of AGL accounts
  fetch("https://api.agile.finance/api/governance/accounts");
```

{% content-ref url="/pages/cggUPv4tMASlgMjlWddW" %}
[GET: /governance/proposals](/api/governanceservice/get-governance-proposals.md)
{% endcontent-ref %}

{% content-ref url="get-governance-proposal:vote:receipts.md" %}
<get-governance-proposal:vote:receipts.md>
{% endcontent-ref %}

{% content-ref url="/pages/XGLicu7m3iSgOqVwkfG1" %}
[GET: /governance/accounts](/api/governanceservice/get-governance-accounts.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.agilefi.org/api/governanceservice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
